#15642: Use mirrors for tarballs
-------------------------------------+-------------------------------------
Reporter: vbraun | Owner:
Type: enhancement | Status: needs_review
Priority: blocker | Milestone: sage-6.7
Component: build | Resolution:
Keywords: | Merged in:
Authors: Volker Braun | Reviewers:
Report Upstream: N/A | Work issues:
Branch: | Commit:
u/vbraun/use_mirrors_for_tarballs | 9a06850aa7e90080cd1841ce7a4aea46da25ccc1
Dependencies: | Stopgaps:
-------------------------------------+-------------------------------------
Comment (by leif):
Mirror layout fixes, part I:
{{{
#!diff
diff --git a/src/bin/sage-spkg b/src/bin/sage-spkg
index d25542c..0eb2f8a 100755
--- a/src/bin/sage-spkg
+++ b/src/bin/sage-spkg
@@ -367,9 +367,9 @@ if [ ! -f "$PKG_SRC" ]; then
echo ">>> Checking online list of $repo packages."
# File inside DOT_SAGE should be writable
repolist="${DOT_SAGE}/${repo}.list"
- sage-download-file "$MIRROR/$repo/list" $repolist
+ sage-download-file "$MIRROR/spkg/$repo/list" $repolist
if [ $? -ne 0 ]; then
- echo >&2 "Error: failed to download
$MIRROR/$repo/list, aborting"
+ echo >&2 "Error: failed to download
$MIRROR/spkg/$repo/list, aborting"
rm -f $repolist
exit 1
fi
@@ -386,7 +386,7 @@ if [ ! -f "$PKG_SRC" ]; then
# If INFO is set, try downloading only the .txt file
if [ $INFO -eq 1 ]; then
- PKG_URL="$MIRROR/$repo/$pkg.txt"
+ PKG_URL="$MIRROR/spkg/$repo/$pkg.txt"
sage-download-file "$PKG_URL" && exit 0
# If the download failed (for whatever reason),
# fall through and use the .spkg file.
@@ -416,7 +416,7 @@ if [ ! -f "$PKG_SRC" ]; then
esac
fi
fi
- PKG_URL="$MIRROR/$repo/$pkg.spkg"
+ PKG_URL="$MIRROR/spkg/$repo/$pkg.spkg"
break
fi
done
}}}
(Try e.g. `./sage -i foobar`.)
--
Ticket URL: <http://trac.sagemath.org/ticket/15642#comment:40>
Sage <http://www.sagemath.org>
Sage: Creating a Viable Open Source Alternative to Magma, Maple, Mathematica,
and MATLAB
--
You received this message because you are subscribed to the Google Groups
"sage-trac" group.
To unsubscribe from this group and stop receiving emails from it, send an email
to [email protected].
To post to this group, send email to [email protected].
Visit this group at http://groups.google.com/group/sage-trac.
For more options, visit https://groups.google.com/d/optout.